Instalación Smooth Tasks en Debian (y derivados) y en ArchLinux [actualizada]

Publicado: 19 febrero 2010 en ArchLinux, Debian, Distribuciones, KDE, Linux, Ubuntu
Etiquetas:, , , , , ,

La nueva barra de tareas de Windows 7 a mí me parece, como a muchos otros, un gran invento. Pues bien, el plasmoide Smooth Tasks reproduce fielmente las características de esta barra. Los pasos para su instalación son los siguientes:

Debian

  • Disponible desde los repositorios.
  • Reiniciamos el entorno gráfico y simplemente añadiremos el plasmoide en el lugar donde está el Gestor de Tareas, sustituyendo uno por otro.

ArchLinux

En Arch nos vamos a ayudar del interminable repositorio de AUR (qué maravilla):

yaourt -S smooth-tasks

Y hacemos lo mismo. Agregamos el plasmoide donde estaba el Gestor de Tareas y ale, a configurar a nuestro gusto.

Cualquier distro

Efectivamente, en KDE-Look tenemos el tar.bz2 de Smooth Tasks, por lo que la instalación referida a Debian valdrá para cualquier distro  en cuyos repositorios no se encuentre Smooth Tasks.

A continuación un vídeo donde podéis ver las bondades de este plasmoide KDE:

comentarios
  1. Elp1692 dice:

    yo lo instale mediante un .deb😛 pero tambien asi es buena opcion😛
    por cierto Miguel funciona en kde 4.4?

  2. carroca dice:

    Me encanta, precisamente eso es una de las pocas cosas que me gustan de win 7. Habra que probarlo, ahora que e encontrado repositorios de KDE4 para Lenny🙂 Haber si lo pruebo.

    Saludos.

    • Miguel (ON) dice:

      Ya nos cuentas carroca. De verdad que merece la pena.

      ; )

      • carroca dice:

        Bueno, de Lenny me pase a testing, y con KDE 4.3 intente instalar este plasmoide, y en principio no tenia instalado cmake, lo instale, pero me sigue dando error jeje, a si que bueno, no lo instalare de momento, que estoy liado, con la instalacion de arch, que me esta dando problemas el xorg.conf, que no consigo configurarlo.

        Saludos.

        PD: No esta nada mal KDE, hacia mucho que no lo probaba, puede que me quede un tiempo haber, y haber si alguna vez se animan a hacer algo como esto para Gnome.

  3. Elp1692 dice:

    una duda Miguel ayudame😛 jaja esque en el video se ve como al pasar el cursor sobre las vistas previas se ven las ventanas y la activa se desvanece no se si me de a entender😛 que opcion es?!

    • Miguel (ON) dice:

      Pues creo que de hecho por defecto viene así.
      No funcionará con ventanas minimizadas, lo único.

      Prueba activando en Preferencias del Sistema > Escritorio > Todos los efectos, el “Resaltado de ventanas”. No se me ocurre otra cosa Elp.

      Por cierto, tú estás con KDE 4.3 verdad ? Así que has bajado el enlace de esa versión de KDE en KDE-Look no ?

      ; )

      • Elp1692 dice:

        hola Miguel, disculpa por responder hasta ahora no había visto que me respondiste, ya tengo kde 4.4 y no puedo instalarlo, sigo los pasos y en la consola me da un error al aplicar este comando “cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config –prefix`”

  4. Miguel (ON) dice:

    Elp, me parece que el problema era que en el post aparecía

    cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config –prefix

    cuando debía ser

    cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config (2guiones)prefix

    es decir, con dos guiones antes de prefix. Hay problemas con WordPress y los dos guiones.

    • Elp1692 dice:

      no es eso Miguel mira el error:
      cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config–prefix`
      bash: kde4-config–prefix: no se encontró la orden
      CMake Error at /usr/share/cmake-2.8/Modules/FindKDE4.cmake:98 (MESSAGE):
      ERROR: cmake/modules/FindKDE4Internal.cmake not found in
      /home/elp1692/.kde/share/apps;/usr/share/kde4/apps
      Call Stack (most recent call first):
      CMakeLists.txt:1 (find_package)

      CMake Warning (dev) in CMakeLists.txt:
      No cmake_minimum_required command is present. A line of code such as

      cmake_minimum_required(VERSION 2.8)

      should be added at the top of the file. The version specified may be lower
      if you wish to support older CMake versions for this project. For more
      information run “cmake –help-policy CMP0000”.
      This warning is for project developers. Use -Wno-dev to suppress it.

      — Configuring incomplete, errors occurred!

  5. Elp1692 dice:

    ese ultimo que dices no puedo instalarlo ya que pide dependencias kde 4.3.4 y ya las tengo en kde 4.4.1

  6. Elp1692 dice:

    mejoro la situacion o eso parece pero aun da error mira:
    elp1692@elp1692:~/Downloads/smooth-tasks-src-wip-2010-02-27/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config –prefix`
    — The C compiler identification is GNU
    — The CXX compiler identification is GNU
    — Check for working C compiler: /usr/bin/gcc
    — Check for working C compiler: /usr/bin/gcc — works
    — Detecting C compiler ABI info
    — Detecting C compiler ABI info – done
    — Check for working CXX compiler: /usr/bin/c++
    — Check for working CXX compiler: /usr/bin/c++ — works
    — Detecting CXX compiler ABI info
    — Detecting CXX compiler ABI info – done
    — Looking for Q_WS_X11
    — Looking for Q_WS_X11 – found
    — Looking for Q_WS_WIN
    — Looking for Q_WS_WIN – not found.
    — Looking for Q_WS_QWS
    — Looking for Q_WS_QWS – not found.
    — Looking for Q_WS_MAC
    — Looking for Q_WS_MAC – not found.
    — Found Qt-Version 4.6.2 (using /usr/bin/qmake)
    — Looking for include files CMAKE_HAVE_PTHREAD_H
    — Looking for include files CMAKE_HAVE_PTHREAD_H – found
    — Looking for pthread_create in pthreads
    — Looking for pthread_create in pthreads – not found
    — Looking for pthread_create in pthread
    — Looking for pthread_create in pthread – found
    — Found Threads: TRUE
    — Looking for _POSIX_TIMERS
    — Looking for _POSIX_TIMERS – found
    — Found Automoc4: /usr/bin/automoc4
    — Found Perl: /usr/bin/perl
    — Phonon Version: 4.3.80
    — Found Phonon: /usr/lib/libphonon.so
    — Found Phonon Includes: /usr/include/KDE;/usr/include
    — Performing Test _OFFT_IS_64BIT
    — Performing Test _OFFT_IS_64BIT – Failed
    — Performing Test HAVE_FPIE_SUPPORT
    — Performing Test HAVE_FPIE_SUPPORT – Success
    — Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
    — Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL – Success
    — Performing Test __KDE_HAVE_GCC_VISIBILITY
    — Performing Test __KDE_HAVE_GCC_VISIBILITY – Success
    — Found KDE 4.4 include dir: /usr/include
    — Found KDE 4.4 library dir: /usr/lib
    — Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
    — Found automoc4: /usr/bin/automoc4
    — Found Qt-Version 4.6.2 (using /usr/bin/qmake)
    CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:70 (MESSAGE):
    Could NOT find KDE4Workspace (missing: KDE4Workspace_CONFIG)
    Call Stack (most recent call first):
    /usr/share/kde4/apps/cmake/modules/FindKDE4Workspace.cmake:70 (find_package_handle_standard_args)
    applet/CMakeLists.txt:5 (find_package)

    — Configuring incomplete, errors occurred!

  7. […] Akonadi) con la utilidad rcconf (tengo que hablar de ella) y todo bien. He incluso recompilado las Smooth Tasks sin […]

  8. Anderson Salas dice:

    Hola!

    Soy nuevo en Linux y tengo un problema para configurar el Internet. ¿Podrías ayudarme?

    En mi blog planteo el problema:

    http://thenewblogtimes.wordpress.com/2010/04/17/mi-primer-encuentro-con-linux-1era-parte/#comments

    Muchas Gracias, muy interesante tu Blog, ¡Saludos!

  9. carroca dice:

    Buenas, se me a ocurrido buscar este plasmoide en synaptic, y esta, de modo que en Debian no hace falta compilarlo🙂 (no se desde cuando estara, pero hasta ahora no se me ocurrio buscarlo)

  10. Miguel (ON) dice:

    pues sí, tienes razón, ya la he actualizado.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s